"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var SliderComponent = (function () {
    function SliderComponent() {
        this.stateChange = new core_1.EventEmitter();
    }
    SliderComponent.prototype.ngOnInit = function () {
    };
    SliderComponent.prototype.toggleSlider = function () {
        this.state = !this.state;
        this.stateChange.emit(this.state);
    };
    return SliderComponent;
}());
SliderComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'np-slider',
                template: "\n    <div (click)=\"toggleSlider()\">\n        <div class=\"np-slider\" [ngClass]=\"{ 'np-slider-on': state, 'np-slider-off': !state }\">\n            <span class=\"np-slider-switch\"></span>\n          <span class=\"np-slider-on-value\">On</span>\n          <span class=\"np-slider-off-value\">Off</span>\n        </div>\n    </div>\n  ",
                styles: ["\n    .np-slider {\n      background-color: #999;\n      width: 80px;\n      height: 32px;\n      border-radius: 20px;\n      position: relative;\n      cursor: pointer;\n    }\n\n    .np-slider.np-slider-on .np-slider-on-value {\n      float: right;\n      display: block;\n    }\n\n    .np-slider.np-slider-on {\n      background-color: #00710f;\n    }\n\n    .np-slider.np-slider-on .np-slider-switch {\n      left: 3px;\n    }\n\n    .np-slider.np-slider-off .np-slider-switch {\n      left: 51px;\n    }\n\n    .np-slider .np-slider-switch {\n      position: absolute;\n      top: 3px;\n      width: 26px;\n      height: 26px;\n      border-radius: 50%;\n      -webkit-transition: all 100ms ease;\n      transition: all 100ms ease;\n      background-color: #fff;\n    }\n\n    .np-slider .np-slider-off-value, .np-slider .np-slider-on-value {\n      display: none;\n      line-height: 32px;\n      font-weight: 700;\n      text-align: center;\n      color: #fff;\n      width: 54px;\n      height: 32px;\n    }\n    .np-slider.np-slider-off .np-slider-off-value {\n      float: left;\n      display: block;\n    }\n  "]
            },] },
];
/** @nocollapse */
SliderComponent.ctorParameters = function () { return []; };
SliderComponent.propDecorators = {
    'state': [{ type: core_1.Input },],
    'stateChange': [{ type: core_1.Output },],
};
exports.SliderComponent = SliderComponent;
//# sourceMappingURL=slider.component.js.map